TCLIBCAPPEND = "/default"

OLDEST_KERNEL = "5.4"

INHERIT += "elito-uridecode"

ROOT_HOME = "/root"

INIT_MANAGER = "systemd"

DISTRO_FEATURES:append = " systemd ext4 selinux lto"
DISTRO_FEATURES:append = " rpcgss nfs4 pam"
DISTRO_FEATURES_DEFAULT:remove = "alsa irda zeroconf 3g x11 ext2 nfs"
DISTRO_FEATURES_BACKFILL_CONSIDERED = "pulseaudio bluez5 sysvinit"

PREFERRED_PROVIDER_virtual/refpolicy = "refpolicy-minimum"

PREFERRED_PROVIDER_libtirpc = "${@bb.utils.contains('DISTRO_FEATURES', 'rpcgss', 'libtirpc-full', 'libtirpc-core', d)}"
## TODO: this does not work; recipes have to be fixed manually
PREFERRED_PROVIDER_libtirpc:pn-python3 = "libtirpc-core"
PREFERRED_PROVIDER_libtirpc:pn-libnsl2 = "libtirpc-core"

BB_MULTI_PROVIDER_ALLOWED += "libtirpc"

## This refers to git repositories and state is identified by hash;
## ignore the actual location
BB_BASEHASH_IGNORE_VARS:append = " URI_PROJECT_BASE URI_PROJECT_TOOLS"

WARN_QA:append  = " version-going-backwards"
ERROR_QA:remove = "version-going-backwards"

USERADD_GID_TABLES += "files/groups-static"
USERADD_UID_TABLES += "files/passwd-static"
USERADDEXTENSION = "useradd-staticids"
USERADD_ERROR_DYNAMIC = "skip"

require conf/distro/include/security_flags.inc
require conf/distro/include/no-static-libs.inc
require conf/distro/include/lto.inc

# we do not use package management on the target; no need to detect
# backwards going versions
ERROR_QA:remove = "version-going-backwards"
WARN_QA:remove = "version-going-backwards"

## lto1: fatal error: write: No space left on device
LTO:pn-gdb = ""
LTO:pn-binutils = ""
